You are not logged in.

#1 2023-03-04 20:16:09

abdullahsabbir
Member
From: Duisburg, Germany
Registered: 2022-11-08
Posts: 17

[Solved] Problem with Logitech Lift Mouse after upgrading my packages

I am not exactly sure if it is related to the kernel or some other package, but after upgrading the packages that were available, my Logitech Lift mouse is behaving a bit weirdly. When it's connected through the USB receiver (named Logitech Bolt Receiver), the left mouse button is behaving as the right button and the right as the left. The issue is not present when it's connected via Bluetooth or for other wired mice. The list of upgraded packages is below. Thank you in advance.

[2023-03-04T20:55:56+0100] [ALPM] upgraded util-linux-libs (2.38.1-1 -> 2.38.1-3)
[2023-03-04T20:55:56+0100] [ALPM] upgraded systemd-libs (253-1 -> 253.1-1)
[2023-03-04T20:55:56+0100] [ALPM] upgraded util-linux (2.38.1-1 -> 2.38.1-3)
[2023-03-04T20:55:57+0100] [ALPM] upgraded systemd (253-1 -> 253.1-1)
[2023-03-04T20:55:58+0100] [ALPM] upgraded android-udev (20230104-1 -> 20230303-1)
[2023-03-04T20:55:58+0100] [ALPM] upgraded bubblewrap (0.7.0-1 -> 0.8.0-1)
[2023-03-04T20:55:58+0100] [ALPM] upgraded lcms2 (2.14-2 -> 2.15-1)
[2023-03-04T20:55:58+0100] [ALPM] upgraded harfbuzz (7.0.1-1 -> 7.1.0-1)
[2023-03-04T20:55:58+0100] [ALPM] upgraded poppler (23.02.0-1 -> 23.03.0-1)
[2023-03-04T20:55:58+0100] [ALPM] upgraded qpdf (11.2.0-1 -> 11.3.0-1)
[2023-03-04T20:55:58+0100] [ALPM] upgraded cups-filters (1.28.17-1 -> 1.28.17-2)
[2023-03-04T20:55:58+0100] [ALPM] upgraded libxi (1.8-2 -> 1.8-3)
[2023-03-04T20:55:58+0100] [ALPM] upgraded gtk3 (1:3.24.36-1 -> 1:3.24.37-1)
[2023-03-04T20:55:58+0100] [ALPM] upgraded filezilla (3.63.2-1 -> 3.63.2.1-1)
[2023-03-04T20:55:58+0100] [ALPM] upgraded gnupg (2.2.40-1 -> 2.2.41-1)
[2023-03-04T20:55:58+0100] [ALPM] upgraded harfbuzz-icu (7.0.1-1 -> 7.1.0-1)
[2023-03-04T20:55:58+0100] [ALPM] upgraded lib32-harfbuzz (7.0.1-1 -> 7.1.0-1)
[2023-03-04T20:55:58+0100] [ALPM] upgraded lib32-systemd (253-1 -> 253.1-1)
[2023-03-04T20:55:58+0100] [ALPM] upgraded libdiscid (0.6.4-1 -> 0.6.4-2)
[2023-03-04T20:55:58+0100] [ALPM] upgraded libmbim (1.28.2-1 -> 1.28.4-1)
[2023-03-04T20:55:58+0100] [ALPM] upgraded libmm-glib (1.20.4-1 -> 1.20.6-1)
[2023-03-04T20:55:58+0100] [ALPM] upgraded libqmi (1.32.2-1 -> 1.32.4-1)
[2023-03-04T20:55:58+0100] [ALPM] upgraded libshumate-git (1.0.1.r52.gaa8122f-1 -> 1.0.1.r53.g5479675-1)
[2023-03-04T20:56:00+0100] [ALPM] upgraded linux (6.2.1.arch1-1 -> 6.2.2.arch1-1)
[2023-03-04T20:56:02+0100] [ALPM] upgraded linux-headers (6.2.1.arch1-1 -> 6.2.2.arch1-1)
[2023-03-04T20:56:03+0100] [ALPM] upgraded linux-zen (6.2.1.zen1-1 -> 6.2.2.zen1-1)
[2023-03-04T20:56:05+0100] [ALPM] upgraded linux-zen-headers (6.2.1.zen1-1 -> 6.2.2.zen1-1)
[2023-03-04T20:56:05+0100] [ALPM] upgraded lld (15.0.7-1 -> 15.0.7-2)
[2023-03-04T20:56:06+0100] [ALPM] upgraded openimageio (2.4.6.1-4 -> 2.4.9.0-1)
[2023-03-04T20:56:06+0100] [ALPM] upgraded openshadinglanguage (1.12.9.0-1 -> 1.12.10.0-1)
[2023-03-04T20:56:06+0100] [ALPM] upgraded poppler-glib (23.02.0-1 -> 23.03.0-1)
[2023-03-04T20:56:06+0100] [ALPM] upgraded python-cryptography (39.0.1-1 -> 39.0.2-1)
[2023-03-04T20:56:06+0100] [ALPM] upgraded python-natsort (8.3.0-1 -> 8.3.1-1)
[2023-03-04T20:56:06+0100] [ALPM] upgraded python-pytest (7.2.1-1 -> 7.2.2-1)
[2023-03-04T20:56:06+0100] [ALPM] upgraded python-zipp (3.14.0-1 -> 3.15.0-1)
[2023-03-04T20:56:06+0100] [ALPM] upgraded qt5-location (5.15.8+kde+r3-1 -> 5.15.8+kde+r4-2)
[2023-03-04T20:56:06+0100] [ALPM] upgraded qt5-wayland (5.15.8+kde+r59-1 -> 5.15.8+kde+r60-1)
[2023-03-04T20:56:06+0100] [ALPM] upgraded strawberry (1.0.14-2 -> 1.0.15-1)
[2023-03-04T20:56:06+0100] [ALPM] upgraded systemd-sysvcompat (253-1 -> 253.1-1)
[2023-03-04T20:56:06+0100] [ALPM] upgraded traceroute (2.1.1-1 -> 2.1.2-1)
[2023-03-04T20:58:14+0100] [ALPM] upgraded etcher-bin (1.14.3-1 -> 1.18.4-1)

Last edited by abdullahsabbir (2023-03-06 16:09:23)

Offline

#2 2023-03-05 02:30:07

swiftscythe
Member
Registered: 2009-04-28
Posts: 131

Re: [Solved] Problem with Logitech Lift Mouse after upgrading my packages

Same issue here, it went away after downgrading systemd and systemd-libs

sudo pacman -U /var/cache/pacman/pkg/systemd-253-1-x86_64.pkg.tar.zst /var/cache/pacman/pkg/systemd-libs-253-1-x86_64.pkg.tar.zst --asdeps

Offline

#3 2023-03-05 07:45:54

seth
Member
Registered: 2012-09-03
Posts: 53,311

Re: [Solved] Problem with Logitech Lift Mouse after upgrading my packages

Online

#4 2023-03-05 07:51:30

bhat
Member
Registered: 2021-08-28
Posts: 1

Re: [Solved] Problem with Logitech Lift Mouse after upgrading my packages

Looks like this bug is introduced in systemd 253-1, and a fix is on the way.

Last edited by bhat (2023-03-05 07:51:45)

Offline

#5 2023-03-06 00:25:56

kaos77
Member
Registered: 2013-04-26
Posts: 10

Re: [Solved] Problem with Logitech Lift Mouse after upgrading my packages

Thank goodness.  I thought I was going crazy.

Offline

#6 2023-03-06 16:08:23

abdullahsabbir
Member
From: Duisburg, Germany
Registered: 2022-11-08
Posts: 17

Re: [Solved] Problem with Logitech Lift Mouse after upgrading my packages

The issue is fixed with the latest systemd updates. Thank you, everyone.

Offline

#7 2023-03-06 19:07:40

alekgr
Member
From: dallas Texas
Registered: 2012-03-22
Posts: 7

Re: [Solved] Problem with Logitech Lift Mouse after upgrading my packages

yup, it got fixed.. Love arch

Offline

Board footer

Powered by FluxBB